Skip to main content
GET
/
projects
/
{projectIdOrName}
/
integrations
/
{integrationId}
/
objects
/
{objectName}
/
metadata
Get object metadata via installation
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata \
  --header 'X-Api-Key: <api-key>'
{
  "name": "account",
  "displayName": "Account",
  "mappedObjectName": "companies",
  "fields": {
    "name": {
      "fieldName": "name",
      "displayName": "Account Name",
      "valueType": "string",
      "providerType": "string",
      "readOnly": false,
      "isCustom": false,
      "isRequired": true
    },
    "billingcity": {
      "fieldName": "billingcity",
      "displayName": "Billing City",
      "valueType": "string",
      "providerType": "string",
      "readOnly": false,
      "isCustom": false,
      "isRequired": false
    },
    "industry": {
      "fieldName": "industry",
      "displayName": "Industry",
      "valueType": "singleSelect",
      "providerType": "picklist",
      "readOnly": false,
      "isCustom": false,
      "isRequired": false,
      "values": [
        {
          "value": "technology",
          "displayValue": "Technology"
        },
        {
          "value": "finance",
          "displayValue": "Finance"
        }
      ]
    }
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

integrationId
string
required

The unique identifier of the integration.

objectName
string
required

The name of the object to retrieve metadata for. You can use either the mapped name from your integration config (e.g. people) or the native provider object name (e.g. contact).

Query Parameters

groupRef
string
required

The ID of the user group that has access to this installation.

excludeReadOnly
boolean

Excludes fields where ReadOnly is true from the response.

Response

The retrieved object metadata.

name
string
required

The provider name of the object

Example:

"contact"

fields
object
required

Map of field metadata keyed by field name

displayName
string

Human-readable name of the object

Example:

"Contact"

mappedObjectName
string

The mapped name of the object as defined in your integration config, if a mapping was applied. Only present when using the installation-scoped metadata endpoint.

Example:

"people"